Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 06 Jun 2008 14:17:37 +1000

On Thu, 2008-06-05 at 10:45 +0200, Stefan Roese wrote:
> Full ack from me. So I suggest to use "cell-index" if available and
> otherwise 
> use an incremented number, same as the FSL i2c driver does now:
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2008-June/057254.html
> 
> If nobody objects I'll send a patch to add the cell-index to all 4xx
> dts files 
> in a short while.

No, don't use cell-index. If you have a setup with 2 SOCs in
SMP or something like the Axon bridge on cell where you can have
multiple Axons in a system, cell-index will not be unique. They
will give you the index -within-a-chip- as it is used, as I
said in a separate mail, for things like power or clock control
bits & pieces. It will not be system-wide unique.

Ben.